function xf=filtw(x,nf)
  // xf=filtw(x,nf)
  // filtration by averaging over a window
  // xf    filtered signal
  // x     signal to be filtered
  // nf    radius of the window (+ central, - back)
  //
  n=max(size(x));
  xf=x;
  if nf==0, return, end
  if nf>0
    for i=(nf+1):(n-nf-1)
      xf(i)=mean(x((i-nf):(i+nf)));
    end
  else
    nf=-nf;
    for i=(nf+1):n
      xf(i)=mean(x((i-nf):i));
    end
  end
endfunction    
