// Polynomial regression for daily course
// ------------------------------------------
exec SCIHOME/ScIntro.sce, mode(0)
getd c:\Users\ibpna\Dropbox\func

// DATA
ord=11;
k=3;                               // which day is selected
nz=50;                             // beginning of the day
dtAll=csvRead('STRAHOV.csv',';');  
dt=dtAll((k-1)*288+(nz+1:2*288),1);  
yt=dt;
nd=length(yt);

xp(:,1)=(1:nd)/nd;
xt=ones(nd,1);
for i=1:ord
  xt=[xp**i xt];
end

th=inv(xt'*xt)*xt'*yt;
st=xt*th;

plot(1:nd,st,1:nd,yt)

csvWrite(st,'st2.csv',';')
